Closed Bug 530687 Opened 10 years ago Closed 9 years ago

xpcshell test test_bookmarks.js sporadically fails, with 0 == 1, 1 == 2, bookmarks query: 2147500036 and so on

Categories

(Toolkit :: Places, defect)

x86
Linux
defect
Not set

Tracking

()

RESOLVED FIXED
mozilla2.0b9
Tracking Status
status1.9.2 --- ?
status1.9.1 --- ?

People

(Reporter: dholbert, Unassigned)

References

()

Details

(Keywords: intermittent-failure)

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1259004842.1259011175.8899.gz
Linux mozilla-central debug test everythingelse on 2009/11/23 11:34:02
s: moz2-linux-slave21

{
TEST-PASS | /builds/slave/mozilla-central-linux-debug-unittest-everythingelse/build/xpcshell/tests/test_places/bookmarks/test_bookmarks.js | [run_test : 543]  == 
TEST-UNEXPECTED-FAIL | /builds/slave/mozilla-central-linux-debug-unittest-everythingelse/build/xpcshell/tests/test_places/bookmarks/test_bookmarks.js | 0 == 1 - See following stack:
JS frame :: /builds/slave/mozilla-central-linux-debug-unittest-everythingelse/build/xpcshell/head.js :: do_throw :: line 201
JS frame :: /builds/slave/mozilla-central-linux-debug-unittest-everythingelse/build/xpcshell/head.js :: do_check_eq :: line 231
JS frame :: /builds/slave/mozilla-central-linux-debug-unittest-everythingelse/build/xpcshell/tests/test_places/bookmarks/test_bookmarks.js :: run_test :: line 556
JS frame :: /builds/slave/mozilla-central-linux-debug-unittest-everythingelse/build/xpcshell/head.js :: _execute_test :: line 129
JS frame :: -e :: <TOP_LEVEL> :: line 1
TEST-INFO | (xpcshell/head.js) | exiting test
TEST-UNEXPECTED-FAIL | /builds/slave/mozilla-central-linux-debug-unittest-everythingelse/build/xpcshell/tests/test_places/bookmarks/test_bookmarks.js | bookmarks query: 2147500036 - See following stack:
JS frame :: /builds/slave/mozilla-central-linux-debug-unittest-everythingelse/build/xpcshell/head.js :: do_throw :: line 201
JS frame :: /builds/slave/mozilla-central-linux-debug-unittest-everythingelse/build/xpcshell/tests/test_places/bookmarks/test_bookmarks.js :: run_test :: line 563
JS frame :: /builds/slave/mozilla-central-linux-debug-unittest-everythingelse/build/xpcshell/head.js :: _execute_test :: line 129
JS frame :: -e :: <TOP_LEVEL> :: line 1
TEST-INFO | (xpcshell/head.js) | exiting test
WARNING: nsExceptionService ignoring thread destruction after shutdown: file /builds/moz2_slave/mozilla-central-linux-debug/build/xpcom/base/nsExceptionService.cpp, line 194
nsXPConnect::CommenceShutdown()
nsStringStats
 => mAllocCount:           2409
 => mReallocCount:          112
 => mFreeCount:            2409
 => mShareCount:           1105
 => mAdoptCount:            819
 => mAdoptFreeCount:        819
}


"Guilty" range for this orange is:
http://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=a65dd3cd9634&tochange=ca1b44e2900c
which includes only two changesets, both of which are plugin-related and NPOB.

So, I don't think that could be responsible for this failure.
  --> assuming sporadic
Bug 451915 - move Firefox/Places bugs to Firefox/Bookmarks and History. Remove all bugspam from this move by filtering for the string "places-to-b-and-h".

In Thunderbird 3.0b, you do that as follows:
Tools | Message Filters
Make sure the correct account is selected. Click "New"
Conditions: Body   contains   places-to-b-and-h
Change the action to "Delete Message".
Select "Manually Run" from the dropdown at the top.
Click OK.

Select the filter in the list, make sure "Inbox" is selected at the bottom, and click "Run Now". This should delete all the bugspam. You can then delete the filter.

Gerv
Component: Places → Bookmarks & History
QA Contact: places → bookmarks
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1269309269.1269310154.27461.gz
Linux mozilla-central opt test xpcshell on 2010/03/22 18:54:29  

TEST-UNEXPECTED-FAIL | /builds/slave/mozilla-central-linux-opt-unittest-xpcshell/build/xpcshell/tests/test_places/bookmarks/test_bookmarks.js | 2 == 1 - See following stack:

TEST-UNEXPECTED-FAIL | /builds/slave/mozilla-central-linux-opt-unittest-xpcshell/build/xpcshell/tests/test_places/bookmarks/test_bookmarks.js | bookmarks query: 2147500036 - See following stack:
Component: Bookmarks & History → Places
Product: Firefox → Toolkit
QA Contact: bookmarks → places
Blocks: 559354
i can only guess bug 507790, these are results of a query.
Whiteboard: [orange] → [orange][needs investigation]
Summary: xpcshell test test_bookmarks.js sporadically fails, with "0 == 1" and "bookmarks query: 2147500036" → xpcshell test test_bookmarks.js sporadically fails, with 0 == 1, 1 == 2, bookmarks query: 2147500036 and so on
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey2.0/1290118865.1290123913.26832.gz
Linux comm-1.9.1 unit test on 2010/11/18 14:21:05
{
TEST-UNEXPECTED-FAIL | /builds/slave/comm-1.9.1-linux-unittest/build/objdir/mozilla/_tests/xpcshell/test_places/bookmarks/test_bookmarks.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /builds/slave/comm-1.9.1-linux-unittest/build/objdir/mozilla/_tests/xpcshell/test_places/bookmarks/test_bookmarks.js | 0 == 1 - See following stack:
TEST-UNEXPECTED-FAIL | /builds/slave/comm-1.9.1-linux-unittest/build/objdir/mozilla/_tests/xpcshell/test_places/bookmarks/test_bookmarks.js | bookmarks query: 2147500036 - See following stack:
}
status1.9.1: --- → ?
status1.9.2: --- → ?
Should have been fixed by Places branch merge.
Status: NEW → RESOLVED
Closed: 9 years ago
Resolution: --- → FIXED
Whiteboard: [orange][needs investigation] → [orange]
Target Milestone: --- → mozilla2.0b9
Whiteboard: [orange]
You need to log in before you can comment on or make changes to this bug.